Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.constraint
Class LongConstraintOccurrence

    java.lang.Object
      org.drools.planner.core.score.constraint.ConstraintOccurrence
          org.drools.planner.core.score.constraint.LongConstraintOccurrence

All Implemented Interfaces:
  Serializable, Comparable<ConstraintOccurrence>

    public class LongConstraintOccurrence

extends ConstraintOccurrence

See Also:
  Serialized Form

Field Summary
`protected long` | `weight`

Fields inherited from class org.drools.planner.core.score.constraint.ConstraintOccurrence
`causes, constraintType, ruleId`

Constructor Summary
`LongConstraintOccurrence(String ruleId, ConstraintType constraintType, long weight, Object... causes)`
`LongConstraintOccurrence(String ruleId, ConstraintType constraintType, Object... causes)`
`LongConstraintOccurrence(String ruleId, long weight, Object... causes)`
`LongConstraintOccurrence(String ruleId, Object... causes)`

Method Summary
`boolean` | `equals(Object o)`
`long` | `getWeight()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.drools.planner.core.score.constraint.ConstraintOccurrence
`compareTo, getCauses, getConstraintType, getRuleId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### weight

    protected long weight

Constructor Detail

### LongConstraintOccurrence

    public LongConstraintOccurrence(String ruleId,
                                    Object... causes)

### LongConstraintOccurrence

    public LongConstraintOccurrence(String ruleId,
                                    ConstraintType constraintType,
                                    Object... causes)

### LongConstraintOccurrence

    public LongConstraintOccurrence(String ruleId,
                                    long weight,
                                    Object... causes)

### LongConstraintOccurrence

    public LongConstraintOccurrence(String ruleId,
                                    ConstraintType constraintType,
                                    long weight,
                                    Object... causes)

Method Detail

### getWeight

    public long getWeight()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `ConstraintOccurrence`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ConstraintOccurrence`

### toString

    public String toString()

  Overrides:
    `toString` in class `ConstraintOccurrence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.